Package relaxngcc.grammar

## Class OneOrMorePattern

- java.lang.Object
- - relaxngcc.grammar.Pattern
  - - relaxngcc.grammar.OneOrMorePattern

-     public class OneOrMorePattern
      extends Pattern

  Author:
    Kohsuke Kawaguchi (kk@kohsuke.org)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Pattern` | `p` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OneOrMorePattern​(ParserRuntime rt, Pattern p_)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `apply​(PatternFunction f)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### p

          public final Pattern p

  - ### Constructor Detail

    - #### OneOrMorePattern

          public OneOrMorePattern​(ParserRuntime rt,
                                  Pattern p_)

  - ### Method Detail

    - #### apply

          public java.lang.Object apply​(PatternFunction f)

      Specified by:
        `apply` in class `Pattern`